#include <cstdlib>
#include <iostream>

using namespace std;

template <class T>
struct NextNo {
  T omit_;
  T no_{0};
  NextNo(T omit) : omit_(omit) {}
  T next() {
    if (++no_ == omit_)
      no_++;
    return no_;
  }
};

#define CNT 4000000000
int main(int argc, char* argv[]) {
  if (argc != 2) {
    cout << argv[0] << " omit_number" << endl;
    return 0;
  }
  uint32_t omitNo = std::stoul(argv[1]);

  // --------------------------------------------------------------------------
  // sum_test(uint64_t)
  // --------------------------------------------------------------------------
  {
    NextNo<uint64_t> nextNo((uint64_t)omitNo);
    uint64_t sum = 0;
    for (uint64_t i = 1; i < CNT; i++)
      sum += nextNo.next();
    cout << (uint64_t)CNT * (CNT + 1) / 2 - sum << endl;
  }

  // --------------------------------------------------------------------------
  // xor_test(uint32_t)
  // --------------------------------------------------------------------------
  {
    NextNo<uint32_t> nextNo(omitNo);
    uint32_t sum1 = 0, sum2 = 0;
    for (uint32_t i = 1; i < CNT; i++) {
      sum1 ^= i;
      sum2 ^= nextNo.next();
    }
    sum1 ^= CNT;
    cout << (sum1 ^ sum2) << endl;
  }

  // --------------------------------------------------------------------------
  // xor_test(uint64_t)
  // --------------------------------------------------------------------------
  {
    NextNo<uint64_t> nextNo((uint64_t)omitNo);
    uint64_t sum1 = 0, sum2 = 0;
    for (uint64_t i = 1; i < CNT; i++) {
      sum1 ^= i;
      sum2 ^= nextNo.next();
    }
    sum1 ^= CNT;
    cout << (sum1 ^ sum2) << endl;
  }

  return 0;
}
